%define nagios_bname nagios
%define nagios_bver 1.1
%define realname nsca
%define nagios_plugdir %_libdir/nagios/plugins
%define nagios_confdir %_sysconfdir/nagios
%define nagios_usr nagios
%define nagios_grp nagios

Name: %nagios_bname-%realname
Version: 2.4
Release: alt2

Summary: NSCA -- Nagios(R) Service Checks Acceptor daemon
License: GPL
Group: Monitoring
URL: http://www.nagios.org

Requires: nagios-daemon

Source0: %realname-%version.tar.gz
Patch0: %realname-2.4-alt-warnings.patch
Patch1: %realname-2.4-alt-config.patch

Prefix: %prefix

%package -n %nagios_bname-%realname-sender
Summary: Service checks sender for NSCA.
License: GPL
Group: Monitoring
PreReq: nagios-plugins

%description
The %name packages contains the Nagios(R) Service Checks Acceptor
-- daemon which allow you to send service check results to a
central monitoring server running Nagios in a secure manner.
This program runs as a daemon on the central server that runs Nagios.
It listens for host and service check results from remote machines
(sent using the send_nsca program from nagios-nsca-sender package).

%description -n %nagios_bname-%realname-sender
This package conotains the client program that is used to send
service check information from a remote machine to the nsca daemon
on the central machine that runs Nagios.

%prep
%setup -n %realname-%version
%patch0 -p1
%patch1 -p1

%build
%configure \
 --with-nsca-user=%nagios_usr \
 --with-nsca-grp=%nagios_grp \
 --with-nsca-port=65533

%__make

%install
%__mkdir_p %buildroot/%nagios_confdir

%__mkdir_p %buildroot/%_bindir
%__mkdir_p %buildroot/%_sbindir
%__mkdir_p %buildroot/%_sysconfdir/xinetd.d

# install binaries
%__install -m 0711 src/nsca %buildroot/%_sbindir
%__install -m 0711 src/send_nsca %buildroot/%_bindir

# install config
%__install -m 0640 nsca.cfg %buildroot/%nagios_confdir
%__install -m 0640 send_nsca.cfg %buildroot/%_sysconfdir

%files
%nagios_confdir/nsca.cfg
%_sbindir/nsca
%doc Changelog nsca.xinetd README SECURITY


%files -n %nagios_bname-%realname-sender
%_sysconfdir/send_nsca.cfg
%_bindir/send_nsca
%doc Changelog README SECURITY

%changelog
* Wed Mar 10 2004 Denis Smirnov <mithraen@altlinux.ru> 2.4-alt2
- libdb4.0 req deleted

* Thu Oct 09 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 2.4-alt1
- initial package for ALT Llinux
